package getWay

import (
	"github.com/gin-gonic/gin"
)

const headerKeyToken = "token"

const headerKeyPlatformCode = "platform"

const headerKeyClientSource = "clientSource"

func getHeader(c *gin.Context, key string) string {
	v := c.GetHeader(key)
	return v
}

func GetToken(c *gin.Context) string {
	return getHeader(c, headerKeyToken)
}

func SetToken(v string, c *gin.Context) {
	c.Header(headerKeyToken, v)
}

func GetPlatformCode(c *gin.Context) string {
	platformCode := getHeader(c, headerKeyPlatformCode)
	return platformCode
}

func GetClientSource(c *gin.Context) string {
	platformCode := getHeader(c, headerKeyClientSource)
	return platformCode
}
