package util

import (
	"math/rand"
	"strings"
)

// 生成: 时间戳 + 设置前缀 ＋ 随即字符串
const alphanum = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz"

func FandomString(strlen int) string {
	result := make([]byte, strlen)
	for i := 0; i < strlen; i++ {
		result[i] = alphanum[rand.Intn(len(alphanum))]
	}
	return string(result)
}

func IsEmpty(s *string) bool {
	return s == nil || *s == ""
}

func IsNil(i interface{}) bool {
	if i == nil {
		return true
	}
	return false
}

func ContainsForSplitComma(list, item string) bool {
	return containsForSplit(list, item, ",")
}

func containsForSplit(list, item, character string) bool {
	if !IsEmpty(&list) {
		if strings.Contains(list, character) {
			return strings.Index(list, item+character) == 0 ||
				strings.Contains(list, character+item+character) ||
				strings.Index(list, character+item) == len(list)-len(character+item)
		} else {
			return list == item
		}
	}
	return false
}
